=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

override_dh_auto_install:
	install -d debian/ppc64-diag
	make -j1 install DESTDIR=$(CURDIR)/debian/ppc64-diag AM_UPDATE_INFO_DIR=no
	chmod 644 debian/ppc64-diag/etc/ppc64-diag/servevent_parse.pl
	find $(CURDIR)/debian/ppc64-diag/etc/ppc64-diag/message_catalog -type f -print0 | \
		xargs -0 chmod a-x
	install -d debian/ppc64-diag/etc/ppc64-diag/ses_pages


override_dh_installinit:
	dh_installinit --name=rtas_errd
	dh_installinit --name=opal_errd
