=== lpd/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 LP_DIAG_OBJS =  servicelog.o lp_diag.o
 USYSIDENT_OBJS = usysident.o
 
-COMMON_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3
+COMMON_LIBS = -lrtas -lrtasevent -lservicelog
 LP_DIAG_LIBS = -lncurses -lmenu
 
 LICENSE = COPYRIGHT
