=== lpd/test/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 LED_TOOL_OBJS =  ledtool.o
 SES_TOOL_OBJS = sesdevices.o
 
-LED_TOOL_LIBS = -lrtas -lrtasevent -lservicelog -lsqlite3
+LED_TOOL_LIBS = -lrtas -lrtasevent -lservicelog
 
 LICENSE = COPYRIGHT
