=== debian/changelog ===
ppc64-diag (2.6.7-0ubuntu1) utopic; urgency=medium

  * New upstream release, with little-endian fixes (LP: #1358506)
  * Add newly-required build-dep on libudev-dev for opal_errd.
  * Skip installing systemd units for now, since they also seem
    to depend on installing upstream's version of the init jobs.
  * Drop libsqlite3-dev build-dep, not required by upstream code.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 03 Oct 2014 16:56:45 -0600

ppc64-diag (2.6.6-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * drop all debian/patches, included upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Jun 2014 14:27:22 -0700
