=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libsqlite3-dev, libvpd-dev
+Build-Depends: debhelper (>= 9.0.0), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
 Standards-Version: 3.9.5
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
