## ppc64-diag 2.6.9

=== debian/changelog ===
ppc64-diag (2.6.9-0ubuntu1~15.04) vivid; urgency=medium

  * New upstream release. (LP: #1463063)
    - Added Home Run (5887) enclosure diagnostics support
    - Added PHB hotplugging support for PowerKVM guest
    - Fixed LE issue in rtas_errd
    - Fixed memory leak in rtas_errd

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 14:05:42 -0400

ppc64-diag (2.6.8-0ubuntu2) wily; urgency=medium

  * debian/ppc64-diag.*.upstart, debian/ppc64-diag.*.init: Fix platform checks,
    so that opal_errd and rtas_errd only start when supported.
  * debian/no-upstream-init.patch:
    - fix up the systemd services to not make use of the upstream init scripts,
      and instead start the daemon directly.
    - ship an extra small script to handle system registration, to be used from
      the upstart/systemd/sysv scripts.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Jun 2015 16:20:46 -0400

ppc64-diag (2.6.8-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1459698)
  * Drop debian patches included upstream:
    - printk-dump-sections.patch: Add printk log in the list of dump sections
    - extract-platdump-endian.patch: rtas_errd: LE fixes for extract_platdump
    - prrn-event-endian.patch: rtas_errd: Fix PRRN Event handling on LE POWER

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Jun 2015 12:23:28 -0400

ppc64-diag (2.6.7-0ubuntu2) vivid; urgency=medium

  * Backport some patches from git for little-endian support (LP: #1391331)
    - printk-dump-sections.patch: Add printk log in the list of dump sections
    - extract-platdump-endian.patch: rtas_errd: LE fixes for extract_platdump
    - prrn-event-endian.patch: rtas_errd: Fix PRRN Event handling on LE POWER
  * Ship a /var/log/dump directory which write to at runtime (LP: #1353542)

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Feb 2015 01:28:46 -0700
