## ppc64-diag 2.7.0

=== Makefile ===
--- 
+++ 
@@ -5,15 +5,18 @@
 include rules.mk
 
 .SILENT:
+BUILD_DIR=$(CURDIR)
 
-SUBDIRS = rtas_errd diags scripts ela lpd opal_errd opal-dump-parse
+SUBDIRS = common rtas_errd diags scripts ela lpd opal_errd opal-dump-parse
 
-LICENSE = COPYRIGHT
+LICENSE = COPYING
 
 DOXYGEN_CFG = doxygen.config
 TARBALL_FILES += $(DOXYGEN_CFG)
 
 all:
+	@echo "Building common files..."
+	@$(MAKE) -C common
 	@echo "Building rtas_errd files..."
 	@$(MAKE) -C rtas_errd
 	@echo "Building diags files..."
@@ -52,3 +55,14 @@
 clean:
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)
 	@$(CLEAN) $(SHIPDIR) $(TARBALL) doc
+	rm -rf TAGS cscope.*
+
+.PHONY: TAGS
+TAGS:
+	rm -f $@
+	find "$(BUILD_DIR)" -name '*.[hc]' -exec etags --append {} +
+
+cscope:
+	rm -f ./cscope.*
+	find "$(BUILD_DIR)" -name "*.[chsS]" -print | sed 's,^\./,,' > ./cscope.files
+	cscope -b
