=== opal_errd/Makefile ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 CMDS = opal_errd extract_opal_dump
 
-OPAL_ERRD_OBJS = opal_errd.o
+OPAL_ERRD_OBJS = opal_errd.o opal-elog-parse/opal-event-data.o
+OPAL_ERRD_LIBS = -ludev
 OPAL_DUMP_OBJS = extract_opal_dump.o
-
-SUBDIRS = opal-elog-parse
+SUBDIRS = opal-elog-parse man
 
 all: $(CMDS)
 	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;)
@@ -21,6 +21,9 @@
 extract_opal_dump: $(OPAL_DUMP_OBJS)
 	@echo "LD $(WORK_DIR)/$@"
 	$(CC) $(CFLAGS) -o $@ $^ $(OPAL_DUMP_LIBS)
+
+opal-elog-parse/opal-event-data.o:
+	@$(MAKE) -C opal-elog-parse opal-event-data.o
 
 install: all
 	@$(call install_sbin,$(CMDS),$(DESTDIR))
