=== debian/changelog ===
ppc64-diag (2.7.0-0ubuntu3) xenial; urgency=medium

  * No-change rebuild for librtas2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Apr 2016 12:27:07 +0000

ppc64-diag (2.7.0-0ubuntu2) xenial; urgency=medium

  * Update debian/copyright with correct license for the new upstream
    version.  LP: #1539544.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2016 14:39:05 -0800

ppc64-diag (2.7.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.
    - Includes upstream fix for PowerNV systems not being called PowerKVM.
      LP: #1536516

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 25 Jan 2016 15:51:05 -0800

ppc64-diag (2.6.10-0ubuntu1) xenial; urgency=medium

  * New upstream release. (LP: #1521680)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 14 Jan 2016 12:24:27 -0500

ppc64-diag (2.6.9-0ubuntu2) xenial; urgency=medium

  [ Frederic Bonnard ]
  * Fix failure to autostart the service on install on systemd-using systems
    (LP: #1505088):
    - debian/patches/systemd-installdir.patch: Fix path for systemd system
      services.
    - build-depend on dh-systemd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Jan 2016 09:59:40 -0800

ppc64-diag (2.6.9-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1463063)
    - Added Home Run (5887) enclosure diagnostics support
    - Added PHB hotplugging support for PowerKVM guest
    - Fixed LE issue in rtas_errd
    - Fixed memory leak in rtas_errd

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 05 Aug 2015 14:05:42 -0400
