=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_install:
 	install -d debian/ppc64-diag
