=== debian/changelog ===
ppc64-diag (2.7.1-6) unstable; urgency=medium

  * Import patch set from Mauricio Faria de Oliveira to support Marvell HDD
    LEDs on S822LC for HPC (LP: #1650596) and commited in Ubuntu Zesty by Steve
    Langasek (2.7.1-5ubuntu1)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 13 Jan 2017 13:36:03 +0100

ppc64-diag (2.7.1-5) unstable; urgency=medium

  * Fixes for CVE-2014-4038 and CVE-2014-4039

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Tue, 05 Jul 2016 17:28:18 +0200

ppc64-diag (2.7.1-4) unstable; urgency=medium

  * Team upload.
  * Move doxygen to build-dependencies, and build-indep to build
    target.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jun 2016 13:06:37 +0200

ppc64-diag (2.7.1-3) unstable; urgency=medium

  * Team upload
  * Make the doc package built on all archs, because some ppc-only
    libraries are used during its build, and not available
    on amd64 and i386, where the packages arch:all are actually built

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jun 2016 00:16:39 +0200

ppc64-diag (2.7.1-2) unstable; urgency=medium

  * Assign prerm and postinst to ppc64-diag package only (Closes: #827849)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Wed, 22 Jun 2016 16:32:50 +0200

ppc64-diag (2.7.1-1) unstable; urgency=medium

  * Import from Ubuntu (Closes: #740179)

 -- Frederic Bonnard <frediz@linux.vnet.ibm.com>  Thu, 09 Jun 2016 15:05:56 +0200
