=== debian/control ===
--- 
+++ 
@@ -1,11 +1,27 @@
 Source: ppc64-diag
 Section: misc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frederic Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
-Standards-Version: 3.9.5
+Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, doxygen
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
+
+Package: ppc64-diag-doc
+Section: doc
+Architecture: powerpc ppc64 ppc64el
+Depends: ${misc:Depends}
+Description: Documentation for ppc64-diag tools
+ This package contains documentation for various diagnostic tools for
+ PowerLinux.
+ These tools captures the diagnostic events from Power Systems
+ platform firmware, SES enclosures and device drivers, and
+ write events to servicelog database. It also provides automated
+ responses to urgent events such as environmental conditions and
+ predictive failures, if appropriate modifies the FRUs fault
+ indicator(s) and provides event notification to system
+ administrators or connected service frameworks.
+ .
+ This package contains the documentation of ppc64-diag.
 
 Package: ppc64-diag
 Architecture: powerpc ppc64 ppc64el
