## ppc64-diag 2.7.4

=== debian/changelog ===
ppc64-diag (2.7.4-2~14.04) trusty; urgency=medium

  * SRU: LP: #1708494. Update to the version found in 17.10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 28 Nov 2017 16:59:36 +0000

ppc64-diag (2.7.4-2) unstable; urgency=medium

  * d/patches/fix-rtas_errd-unit.patch : fix rtas_errd being started where it
    should not and being reported by systemd as failing whereas the daemon
    exits as it should (LP: #1715397)

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Fri, 08 Sep 2017 11:08:42 +0000

ppc64-diag (2.7.4-1) unstable; urgency=medium

  * New upstream release
  * d/controf d/rules : use autoreconf as upstream move to autotools
  * d/patches :
    - drop patches not needed anymore
    - adapt some others due to autotools integration
  * Upgrade Standards-Version (upstart file removed)
  * d/ppc64-diag.manpages : add rtas_errd.8
  * d/rules : adapt to new upstream build process

 -- Frédéric Bonnard <frediz@linux.vnet.ibm.com>  Thu, 24 Aug 2017 11:48:47 +0000
