=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ppc64-diag
 Section: misc
 Priority: extra
-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
-Build-Depends: debhelper (>= 9.0.0), dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, doxygen
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@linux.vnet.ibm.com>
+Build-Depends: debhelper (>= 9.0.0), dh-autoreconf, dh-systemd, flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, doxygen
+Standards-Version: 4.0.1
 Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
 
 Package: ppc64-diag-doc
