## ppc64-diag 2.7.6

=== debian/changelog ===
ppc64-diag (2.7.6-1) unstable; urgency=medium

  * Update to new upstream version 2.7.6. (LP: #1615584)
  * Remove doc generation
  * Add field Rules-Requires-Root
  * Bumps Standards-version (no change required)

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 16 Jan 2020 13:26:34 +0100

ppc64-diag (2.7.5-1) unstable; urgency=medium

  * Update to new upstream version 2.7.5.
  * Update Debian maintainer information
  * Update priority in d/control
  * Use https in d/control's Format field
  * Upgrade to debhelper compat level 12
  * Fix lintian skip-systemd-native-flag-missing-pre-depends
  * Move documentation to /usr/share/doc/ppc64-diag

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 26 Aug 2019 13:33:25 +0200
