=== debian/control ===
Source: ppc64-diag
Section: misc
Priority: optional
Maintainer: Frédéric Bonnard <frediz@debian.org>
Build-Depends: debhelper-compat (= 12), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
Standards-Version: 4.4.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git
Vcs-Browser: https://salsa.debian.org/debian/ppc64-diag
Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/


Package: ppc64-diag
Architecture: powerpc ppc64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}, lsvpd, servicelog, powerpc-ibm-utils (>= 1.2.15), lsb-base
Pre-Depends: ${misc:Pre-Depends}
Description: Platform error log analysis tool and rtas_errd daemon
 This package contains various diagnostic tools for PowerLinux.
 These tools captures the diagnostic events from Power Systems
 platform firmware, SES enclosures and device drivers, and
 write events to servicelog database. It also provides automated
 responses to urgent events such as environmental conditions and
 predictive failures, if appropriate modifies the FRUs fault
 indicator(s) and provides event notification to system
 administrators or connected service frameworks.
