## ppc64-diag 2.7.7

=== debian/changelog ===
ppc64-diag (2.7.7-1) unstable; urgency=medium

  * Update to new upstream version 2.7.7.
  * Update d/copyright
  * Update d/watch format
  * Increase compatibility level to the recommended one
  * Use upstream manpage
  * Bump Standards-Version to 4.6.0.1
  * Add patches :
    - Use a string literal for the format argument of mvwprintw and mvprintw
    - Directories should be created executable.

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 15 Feb 2022 15:19:03 +0100
