=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Build-Depends: debhelper-compat (= 12), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git
 Vcs-Browser: https://salsa.debian.org/debian/ppc64-diag
-Homepage: http://sourceforge.net/projects/linux-diag/files/ppc64-diag/
+Homepage: https://github.com/power-ras/ppc64-diag
 
 
 Package: ppc64-diag
