## ppc64-diag 2.7.8

=== debian/changelog ===
ppc64-diag (2.7.8-1) unstable; urgency=medium

  * Update to new upstream version 2.7.8.
  * Add build dependency on pkg-config
  * Fix d/copyright
  * Update upstream contact

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 10 May 2022 15:52:37 +0200
