## ppc64-diag 2.7.9

=== debian/changelog ===
ppc64-diag (2.7.9-1.1ubuntu1) questing; urgency=medium

  * Replace custom boolean type with <stdbool.h> for C23 compatibility
    (LP: #2124996)
  * d/.gitignore: do not ignore patches

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 18 Sep 2025 13:45:12 -0400

ppc64-diag (2.7.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (DEP17). (Closes: #1087732)

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Nov 2024 15:11:39 +0100

ppc64-diag (2.7.9-1) unstable; urgency=medium

  * Update to new upstream version 2.7.9.
  * Update d/copyright
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 10 Jan 2023 16:50:25 +0100
