=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ppc64-diag
 Section: misc
 Priority: optional
-Maintainer: Frédéric Bonnard <frediz@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Frédéric Bonnard <frediz@debian.org>
 Build-Depends: debhelper-compat (= 13), flex, bison, librtas-dev, librtasevent-dev, libservicelog-dev, libncurses5-dev, libvpd-dev, libudev-dev, pkg-config
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/ppc64-diag.git
 Vcs-Browser: https://salsa.debian.org/debian/ppc64-diag
